Loading...
Searching...
No Matches
gtsam::InitializePose3 Struct Reference

## Static Public Member Functions

static GaussianFactorGraph | buildLinearOrientationGraph (const NonlinearFactorGraph &g)
static Values | normalizeRelaxedRotations (const VectorValues &relaxedRot3)
static Values | computeOrientationsChordal (const NonlinearFactorGraph &pose3Graph)
| Return the orientations of a graph including only BetweenFactors<Pose3>.
static Values | computeOrientationsGradient (const NonlinearFactorGraph &pose3Graph, const Values &givenGuess, size_t maxIter=10000, const bool setRefFrame=true)
| Return the orientations of a graph including only BetweenFactors<Pose3>.
static void | createSymbolicGraph (const NonlinearFactorGraph &pose3Graph, KeyVectorMap *adjEdgesMap, KeyRotMap *factorId2RotMap)
static Vector3 | gradientTron (const Rot3 &R1, const Rot3 &R2, const double a, const double b)
static NonlinearFactorGraph | buildPose3graph (const NonlinearFactorGraph &graph)
| Select the subgraph of betweenFactors and transforms priors into between wrt a fictitious node.
static Values | computePoses (const Values &initialRot, NonlinearFactorGraph *poseGraph, bool singleIter=true)
| Use Gauss-Newton optimizer to optimize for poses given rotation estimates.
static Values | initializeOrientations (const NonlinearFactorGraph &graph)
| "extract" the Pose3 subgraph of the original graph, get orientations from relative orientation measurements using chordal method.
static Values | initialize (const NonlinearFactorGraph &graph, const Values &givenGuess, bool useGradient=false)
| "extract" the Pose3 subgraph of the original graph, get orientations from relative orientation measurements (using either gradient or chordal method), and finish up with 1 GN iteration on full poses.
static Values | initialize (const NonlinearFactorGraph &graph)
| Calls initialize above using Chordal method.

## Member Function Documentation

## computePoses()

Values gtsam::InitializePose3::computePoses | ( | const Values & | initialRot,
|  | NonlinearFactorGraph * | posegraph,
|  | bool | singleIter = true )

static

Use Gauss-Newton optimizer to optimize for poses given rotation estimates.

- ************************************************************************* *‍/

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/slam/InitializePose3.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/slam/InitializePose3.cpp